summaryrefslogtreecommitdiff
path: root/source/script/installbin.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source/script/installbin.sh')
-rwxr-xr-xsource/script/installbin.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/source/script/installbin.sh b/source/script/installbin.sh
new file mode 100755
index 00000000000..633e6cb5bb2
--- /dev/null
+++ b/source/script/installbin.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+INSTALLPERMS=$1
+BASEDIR=$2
+BINDIR=$3
+LIBDIR=$4
+VARDIR=$5
+shift
+shift
+shift
+shift
+shift
+
+for d in $BASEDIR $BINDIR $LIBDIR $VARDIR; do
+if [ ! -d $d ]; then
+mkdir $d
+if [ ! -d $d ]; then
+ echo Failed to make directory $d
+ exit 1
+fi
+fi
+done
+
+
+for p in $*; do
+ echo Installing $p as $BINDIR/$p
+ if [ -f $BINDIR/$p ]; then
+ mv $BINDIR/$p $BINDIR/$p.old
+ fi
+ cp $p $BINDIR/$p
+ chmod $INSTALLPERMS $BINDIR/$p
+done
+
+
+cat << EOF
+======================================================================
+The binaries are installed. You may restore the old binaries (if there
+were any) using the command "make revert"
+======================================================================
+EOF
+
+exit 0
+